# Interface FITSDataNode.ArrayDataMaker

Enclosing class:
  `FITSDataNode`

public static interface FITSDataNode.ArrayDataMaker
Interface used for objects which can supply an ArrayDataInput object on demand (more than once if necessary).

Author:
  Mark Taylor (Starlink)

## Method Summary

Modifier and Type
Method
Description
`nom.tam.util.ArrayDataInput`
`getArrayData()`
Returns an ArrayDataInput object which can supply the array data.
`uk.ac.starlink.util.DataSource`
`getDataSource()`
Returns a DataSource which can supply the input stream again.
`long`
`getOffset()`
Returns the offset into the datasource's input stream at which the ArrayDataInput data starts.

## Method Details

### getArrayData

nom.tam.util.ArrayDataInput getArrayData() throws IOException
Returns an ArrayDataInput object which can supply the array data.

Throws:
  `IOException`

### getDataSource

uk.ac.starlink.util.DataSource getDataSource()
Returns a DataSource which can supply the input stream again.

### getOffset

long getOffset()
Returns the offset into the datasource's input stream at which the ArrayDataInput data starts.